import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {ConnectRIGuard} from "../openaireLibrary/connect/communityGuard/connectRIGuard.guard";
import {EnvironmentSpecificResolver} from "../openaireLibrary/utils/properties/environmentSpecificResolver";

@NgModule({
  imports: [RouterModule.forChild([
    {
      path: '',
      loadChildren: '../general/general.module#GeneralModule',
      data: {hasAdminMenu: true},
      pathMatch: 'full'
    },
    {
      path: 'users',
      loadChildren: '../users/users.module#UsersModule',
      data: {hasAdminMenu: true},
      pathMatch: 'full'
    },
    {
      path: 'indicators',
      loadChildren: '../topic/topic.module#TopicModule',
      pathMatch: 'full'
    },
    {
      path: 'indicators/:topic',
      loadChildren: '../topic/topic.module#TopicModule',
      pathMatch: 'full'
    },
    {
      path: 'admin-tools',
      loadChildren: '../admin-tools/admin-tools-routing.module#AdminToolsRoutingModule',
      data: {
        hasAdminMenu: true,
        param: 'stakeholder'
      }
    }
  ])]
})
export class AdminStakeholderRoutingModule {

}
